image:
  file: .gitpod.dockerfile

tasks:
  - name: initialize
    init: |

      # ------------------------------------
      # Civo CLI
      # ------------------------------------
      export KUBECONFIG=./kubernetes/config/k3s.yaml
      sudo curl -sL https://civo.com/get | sh
      sudo mv /tmp/civo /usr/local/bin/civo

      # documentation
      # how to use the cli from the docker image:
      # https://github.com/civo/cli-rubygem#docker-usage
      #
      # Repo:
      # https://github.com/civo/cli

      clear

  - name: kube-01
    command: |
      cd kubernetes
      export KUBECONFIG=./config/k3s.yaml
      clear

  - name: kube-02
    command: |
      cd kubernetes
      export KUBECONFIG=./config/k3s.yaml
      clear

  - name: kube-03
    command: |
      cd kubernetes
      export KUBECONFIG=./config/k3s.yaml
      clear

  - name: term-01
    init: gp sync-await prerequisites
    command: |
      export KUBECONFIG=./kubernetes/config/k3s.yaml
      clear

  - name: term-02
    init: gp sync-await prerequisites
    command: |
      export KUBECONFIG=./kubernetes/config/k3s.yaml
      clear

ports:
  - port: 8080
    visibility: public

vscode:
  extensions:
    - wayou.vscode-todo-highlight
    - coenraads.bracket-pair-colorizer
    - pkief.material-icon-theme
    - bungcip.better-toml
